1.0

1.0

get /v1/clusters/{cluster_id}

Description

Show Cluster.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKMariadbClusterDetailResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = mariadb 1.0"

Example HTTP response

Response 200

{
    "account_id": "",
    "allowable_ip_addresses": [],
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "dbaas_engine": "",
    "dbaas_engine_version_name": "",
    "ha_enabled": false,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "init_config_option": {
        "audit_enabled": false,
        "backup_option": {
            "archive_frequency_minute": "60",
            "retention_period_day": "7",
            "starting_time_hour": "2"
        },
        "database_character_set": "utf8",
        "database_name": "",
        "database_port": 2866,
        "database_user_name": "",
        "origin_region": ""
    },
    "instance_count": 0,
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "id": "",
                    "name": "",
                    "role_type": "OS",
                    "size_gb": "",
                    "volume_type": "SSD"
                }
            ],
            "id": "",
            "instances": [
                {
                    "name": "",
                    "public_ip_address": "",
                    "public_ip_id": "",
                    "role_type": "",
                    "service_ip_address": "",
                    "service_state": "RUNNING"
                }
            ],
            "role_type": "",
            "server_type_name": ""
        }
    ],
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": "",
        "use_maintenance_option": false
    },
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "",
    "nat_enabled": false,
    "origin_cluster_id": "",
    "product_image_type": "",
    "product_type": "",
    "replicas": [
        ""
    ],
    "role_type": "ORIGIN",
    "service_state": "RUNNING",
    "software_version": "",
    "subnet_id": "",
    "timezone": "",
    "vip_public_ip_address": "",
    "vip_public_ip_id": "",
    "virtual_ip_address": ""
}